
/*
 * Copyright (c) 2005 by Pascal de Bruijn 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General 
 * Public License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

using System;
using System.Collections;
using System.IO;

public class Bookmarks
{
  string FileName;

  public Bookmarks ()
  {
    this.FileName = Environment.GetFolderPath (Environment.SpecialFolder.Personal) + "/.gtk-bookmarks";
  }
  
  public Bookmarks (string FileName)
  {
    this.FileName = FileName;
  }
  
  public ArrayList BookmarkList
  {
    get
    {
      ArrayList al = new ArrayList ();

      try
      {
        FileStream fs = new FileStream (FileName, FileMode.Open, FileAccess.Read);
        StreamReader sr = new StreamReader (fs);
      
        string s;
      
        while ((s = sr.ReadLine ()) != null)
        {
          al.Add(s);
        } 
      
        sr.Close ();
        fs.Close ();
      }
      catch (FileNotFoundException ex)
      {
      }
      
      return al;
    }
  }
}