
/*
 * Copyright (c) 2005 by Pascal de Bruijn 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General 
 * Public License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

using System;

namespace ClamAv
{
  public class ClamAvException : Exception
  { 
    public ClamAvException (string msg) : base (msg) {}
  }

  public class RecursionLevelLimitException : ClamAvException
  {  
    public RecursionLevelLimitException () : base  ("Recursion Level Limit Exceeded") {}
  }

  public class SizeLimitException : ClamAvException
  {
    public SizeLimitException () : base ("Size Limit Exceeded") {}
  }

  public class FilesLimitException : ClamAvException
  {
    public FilesLimitException () : base ("Files Limit Exceeded") {}
  }
  
  public class RarHandlerException : ClamAvException
  {
    public RarHandlerException () : base ("RAR Handler Error") {}
  }
  
  public class ZipHandlerException : ClamAvException
  {
    public ZipHandlerException () : base ("ZIP Handler Error") {}
  }
   
  public class MalformedZipException : ClamAvException
  {
    public MalformedZipException () : base ("Malformed ZIP") {}
  }
  
  public class GzipHandlerException : ClamAvException
  {
    public GzipHandlerException () : base ("GZIP Handler Error") {}
  }
  
  public class Bzip2HandlerException : ClamAvException
  {
    public Bzip2HandlerException () : base ("BZIP2 Handler Error") {}
  }
  
  public class Ole2HandlerException : ClamAvException
  {
    public Ole2HandlerException () : base ("OLE2 Handler Error") {}
  }
  
  public class CompressHandlerException : ClamAvException
  {
    public CompressHandlerException () : base ("COMPRESS.EXE Handler Error") {}
  }
 
  public class CabHandlerException : ClamAvException
  {
    public CabHandlerException () : base ("CAB Handler Error") {}
  }
 
  public class AccessDeniedException : ClamAvException
  {
    public AccessDeniedException () : base ("Access Denied") {}
  }
   
  public class NullArgumentException : ClamAvException
  {
    public NullArgumentException () : base ("Null Argument Error") {}
  }
 
  public class TmpfileException : ClamAvException
  {
    public TmpfileException () : base ("tmpfile() Failed") {}
  }
  
  public class FsyncException : ClamAvException
  {
    public FsyncException () : base ("fsync() Failed") {}
  }
  
  public class MemoryAllocationException : ClamAvException
  {
    public MemoryAllocationException () : base ("Memory Allocation Error") {}
  }

  public class FileOpenException : ClamAvException
  {
    public FileOpenException () : base ("File Open Error") {}
  }
  
  public class MalformedDatabaseException : ClamAvException
  {
    public MalformedDatabaseException () : base ("Malformed Database ") {}
  }

  public class PatternTooShortException : ClamAvException
  {
    public PatternTooShortException () : base ("Pattern Too Short") {}
  }
 
  public class MkdirException : ClamAvException
  { 
    public MkdirException () : base ("mkdir() Failed") {}
  }
 
  public class BrokenCvdException : ClamAvException
  {
    public BrokenCvdException () : base ("Not A CVD File (Or Broken)") {}
  }
 
  public class CvdExtractionException : ClamAvException
  {
    public CvdExtractionException () : base ("CVD Extraction Failure") {}
  }
 
  public class Md5VerificationException : ClamAvException
  {
    public Md5VerificationException () : base ("MD5 Verification Error") {}
  }
 
  public class DigitalSignatureVerificationException : ClamAvException
  {
    public DigitalSignatureVerificationException () : base ("Digital Signature Verification Error") {}
  }
  
  public class GeneralIoException : ClamAvException
  {
    public GeneralIoException () : base ("General I/O Error") {}
  }
  
  public class BadFormatException : ClamAvException  
  {
    public BadFormatException () : base ("Bad Format Or Broken File") {}
  }
  
  public class UnknownException : ClamAvException
  {
    public UnknownException () : base  ("Unknown Error") {}
  }
} 