
/*
 * Copyright (c) 2005 by Pascal de Bruijn 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General 
 * Public License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

using System;
using GConf;

public class Config
{
  GConf.Client client; 
  
  private static string KEY_BASE                    = "/apps/corbicula";
  private static string KEY_RECURSION_DEPTH         = "/recursion_depth";
  private static int    KEY_RECURSION_DEPTH_DEFAULT = 32;
  private static string KEY_SHOW_UNIX_PATH          = "/show_unix_path";
  private static bool   KEY_SHOW_UNIX_PATH_DEFAULT  = false;
   
  public Config ()
  {
    client = new GConf.Client ();
  }
  
  public int RecursionDepth
  {
    get
    {
      try
      {
        return (int) client.Get (KEY_BASE + KEY_RECURSION_DEPTH);
      }
      catch (GConf.NoSuchKeyException ex)
      {
        return KEY_RECURSION_DEPTH_DEFAULT;
      }
      catch (System.InvalidCastException ex)
      {
        return KEY_RECURSION_DEPTH_DEFAULT;
      }      
    }
    set
    {
      client.Set (KEY_BASE + KEY_RECURSION_DEPTH, value);
    }
  }
  
  public bool ShowUnixPath
  {
    get
    {
      try
      {
        return (bool) client.Get (KEY_BASE + KEY_SHOW_UNIX_PATH);
      }
      catch (GConf.NoSuchKeyException ex)
      {
        return KEY_SHOW_UNIX_PATH_DEFAULT;
      }
      catch (System.InvalidCastException ex)
      {
        return KEY_SHOW_UNIX_PATH_DEFAULT;
      }      
    }
    set
    {
      client.Set (KEY_BASE + KEY_SHOW_UNIX_PATH, value);
    }
  } 
}
