
/*
 * Copyright (c) 2005 by Pascal de Bruijn 
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General 
 * Public License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

using System;
using Gtk;
using Gnome;
using Glade;

public class Preferences
{
  Config config;
  
  [Widget] Gtk.Dialog PreferencesDialog;
  [Widget] Gtk.SpinButton RecursionDepthSpinButton;
  
  public Preferences ()
  {
    Glade.XML gaxml = new Glade.XML (null, "corbicula.glade", "PreferencesDialog", "corbicula");
    gaxml.Autoconnect (this);
    
    config = new Config ();
    
    PreferencesDialog.Icon = new Gdk.Pixbuf (null, "corbicula.png"); 
    
    RecursionDepthSpinButton.Value = config.RecursionDepth;
  }
    
  public void OnRecursionDepthSpinButtonChanged (object o, EventArgs args)
  {
    config.RecursionDepth = RecursionDepthSpinButton.ValueAsInt;
  }
  
  public void OnCloseButtonClicked (object o, EventArgs args)
  {
    PreferencesDialog.Destroy ();
  }
}
